> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Existing Dataset

> Delete a simulation dataset by ID.



## OpenAPI

````yaml /openapi-v1.json delete /api/v1/simulation/datasets/{dataset_id}
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/simulation/datasets/{dataset_id}:
    delete:
      tags:
        - Simulation
      summary: Delete Existing Dataset
      description: Delete a simulation dataset by ID.
      operationId: core_api_v1_controllers_simulation_delete_existing_dataset
      parameters:
        - in: path
          name: dataset_id
          schema:
            title: Dataset Id
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeletedOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    DeletedOut:
      description: Standard response for delete operations.
      properties:
        object:
          default: deleted
          title: Object
          type: string
        id:
          title: Id
          type: string
        deleted:
          default: true
          title: Deleted
          type: boolean
      required:
        - id
      title: DeletedOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````